apply from: "../runing_default_config.gradle"

//apply plugin: 'com.didiglobal.booster'

android {
    defaultConfig {
        versionCode 100
        versionName "1.0.0"
        applicationId "com.hongyegroup.zhurijob"

        resConfigs('zh-rCN')

        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi-v7a', 'arm64-v8a'
        }

    }


    buildTypes {
        release {
            //默认系统混淆
            minifyEnabled true
            // 不显示Log
            buildConfigField "boolean", "LOG_DEBUG", "false"
            //是否可调试
            debuggable false
            //Zipalign优化
            zipAlignEnabled true
            //移除无用的resource文件
            shrinkResources true

            multiDexKeepProguard file('multidex-config.pro')
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug {
            debuggable true

            multiDexKeepProguard file('multidex-config.pro')
        }
    }
}

dependencies {
    //依赖模块
    implementation project(':cs_cptServices')
    implementation project(':cpt_auth')
    implementation project(':cpt_main')
    implementation project(':cpt_parttime')
    implementation project(':cpt_ewallet')
    implementation project(':cpt_rewards')
    implementation project(':cpt_newsfeed')
}
